# Method: getIamPolicy

- [HTTP request](https://docs.cloud.google.com/iap/docs/reference/rest/v1beta1/TopLevel/getIamPolicy#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/iap/docs/reference/rest/v1beta1/TopLevel/getIamPolicy#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/iap/docs/reference/rest/v1beta1/TopLevel/getIamPolicy#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/iap/docs/reference/rest/v1beta1/TopLevel/getIamPolicy#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/iap/docs/reference/rest/v1beta1/TopLevel/getIamPolicy#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/iap/docs/reference/rest/v1beta1/TopLevel/getIamPolicy#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/iap/docs/reference/rest/v1beta1/TopLevel/getIamPolicy#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/iap/docs/reference/rest/v1beta1/TopLevel/getIamPolicy#try-it)

Gets the access control policy for an Identity-Aware Proxy protected resource. More information about managing access via IAP can be found at: <https://cloud.google.com/iap/docs/managing-access#managing_access_via_the_api>

### HTTP request

`POST https://iap.googleapis.com/v1beta1/{resource=**}:getIamPolicy`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `resource` | `string` REQUIRED: The resource for which the policy is being requested. See [Resource names](https://cloud.google.com/apis/design/resource_names) for the appropriate value for this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "options": { object (`https://docs.cloud.google.com/iap/docs/reference/rest/Shared.Types/GetIamPolicyRequest#GetPolicyOptions`) } } ``` |

| Fields ||
|---|---|
| `options` | ``object (`https://docs.cloud.google.com/iap/docs/reference/rest/Shared.Types/GetIamPolicyRequest#GetPolicyOptions`)`` OPTIONAL: A `GetPolicyOptions` object for specifying options to `v1beta1.getIamPolicy`. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/iap/docs/reference/rest/Shared.Types/Policy`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires **one of** the following [IAM](https://cloud.google.com/iam/docs) permissions on the `resource` resource, depending on the resource type:

- `iap.gateway.getIamPolicy`
- `iap.tunnel.getIamPolicy`
- `iap.tunnelDestGroups.getIamPolicy`
- `iap.tunnelInstances.getIamPolicy`
- `iap.tunnelLocations.getIamPolicy`
- `iap.tunnelZones.getIamPolicy`
- `iap.web.getIamPolicy`
- `iap.webServices.getIamPolicy`
- `iap.webServiceVersions.getIamPolicy`
- `iap.webTypes.getIamPolicy`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).